body{
    margin: 0;
    padding: 0;
}
a{
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    width: 180px;
    height: 60px;
    text-align: center;
    line-height: 60px;
    font-family: Verdana, Geneva, Tahoma, sans-serif;
    color: #262626;
    text-transform: uppercase;
    text-decoration: none;
    letter-spacing: 6px;
    border: 2px solid #262626;
    font-size: 24px;
    transition: .5s;
    overflow: hidden;
}
a .front{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transform: scale(1);
    transition: .8s;
}
a .back{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    transform: scale(5);
    transition: .8s;
    background: #262626;
    color: #fff;
    opacity: 0;
}
a:hover .front{
    transform: scale(0);
}
a:hover .back{
    transform: scale(1);
    opacity: 1;
}